Bug 252314 - Character - is not drawn if encoding=ISO-8859-5
Character - is not drawn if encoding=ISO-8859-5
Product: Fedora
Classification: Fedora
Component: a2ps (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
Fedora Extras Quality Assurance
Depends On:
Blocks: F8Target
  Show dependency treegraph
Reported: 2007-08-15 07:18 EDT by Burgin M.S.
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version: 4.13b-68.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-10-03 08:14:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Burgin M.S. 2007-08-15 07:18:41 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; ru; rv: Gecko/20061011 Fedora/ Firefox/

Description of problem:
Character `-' (0x2D) is not drawn on the output when a2ps is
invoked with option --encoding=ISO-8859-5. 

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
Console log:

A2PS>cat minus.txt
character 0x2D: `-'

A2PS>a2ps -1 --encoding=ISO-8859-5 --output=minus.ps minus.txt
[minus.txt (простой): 1 страница на 1 листе]
[Всего: 1 страница на 1 листе] сохранен в файл `minus.ps'

A2PS>gs -dNOPAUSE -dBATCH minus.ps
ESP Ghostscript 815.04 (2007-03-14)
Copyright (C) 2004 artofcode LLC, Benicia, CA.  All rights reserved.
This software comes with NO WARRANTY: see the file PUBLIC for details.
Loading NimbusSanL-Regu font from /usr/share/fonts/default/Type1/n019003l.pfb... 2620640 1236194 2441188 691081 1 done.
Using NimbusSansL-Regu font for NimbusSanL-Regu.
Loading StandardSymL font from /usr/share/fonts/default/Type1/s050000l.pfb... 2620640 1269679 2441188 692020 1 done.
Substituting espgsMissingChar for minus in the font CourierISOC

Actual Results:
When file minus.ps is viewed with gv, position occupied by - in the source text file remain blanc

Expected Results:

Additional info:
The reason is that in the file /usr/share/a2ps/encoding/iso5.edf correponding code is mapped to PostScript name `minus' and there is no glyph with that
name in the font `CourierISOC' stored in the file

The error may be fixed by replacing name `minus' by name `hyphen'
in the encoding vector in /usr/share/a2ps/encoding/iso5.edf

Note You need to log in before you can comment on or make changes to this bug.